TechDraw "Добавить 4-ре вершины по краям окружности"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Quadrants and the translation is 56% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw Quadrants.svg Добавить 4-ре вершины по краям окружности

Системное название
TechDraw_Quadrants
Расположение в меню
TechDraw → Добавить Вершины → Добавить 4-ре вершины по краям окружности
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить Вспомогательную Вершину, Добавить Средние Вершины

Описание

The Quadrant tool adds Cosmetic Vertices at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.

TechDraw CosmeticQuadrant Sample.png

Cosmetic vertices at quadrant points of a circle

Применение

  1. Select one or more (circular) Edges in a View.
  2. Press the TechDraw Quadrants.svg Add Quadrant Vertices button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

Note: This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Свойства

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()